Get the current session
curl --request POST \
--url https://aquila.attaxr.com/api/auth/get-session \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://aquila.attaxr.com/api/auth/get-session', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://aquila.attaxr.com/api/auth/get-session"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"session": {
"id": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"token": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"userId": "<string>",
"ipAddress": "<string>",
"userAgent": "<string>",
"impersonatedBy": "<string>"
},
"user": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"emailVerified": false,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"image": "<string>",
"username": "<string>",
"displayUsername": "<string>",
"role": "<string>",
"banned": false,
"banReason": "<string>",
"banExpires": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Auth
Get the current session
Get the current session
POST
/
api
/
auth
/
get-session
Get the current session
curl --request POST \
--url https://aquila.attaxr.com/api/auth/get-session \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://aquila.attaxr.com/api/auth/get-session', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://aquila.attaxr.com/api/auth/get-session"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"session": {
"id": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"token": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"userId": "<string>",
"ipAddress": "<string>",
"userAgent": "<string>",
"impersonatedBy": "<string>"
},
"user": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"emailVerified": false,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"image": "<string>",
"username": "<string>",
"displayUsername": "<string>",
"role": "<string>",
"banned": false,
"banReason": "<string>",
"banExpires": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}
